# UpdateAccount

Update a single account

`PUT /api/v2/accounts/{id}`

**API:** AvaTax API
**Tag:** Registrar
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Registrar/UpdateAccount/

## Description

# For Registrar Use Only
This API is for use by Avalara Registrar administrative users only.
            
Replace an existing account object with an updated account object.

### Security Policies

* This API requires one of the following user roles: BatchServiceAdmin, FirmAdmin, Registrar, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | The ID of the account you wish to update. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `AccountModel`

An AvaTax account.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | **Yes** | The unique ID number assigned to this account. Example: `12345`. |
| `crmid` | string | No | For system registrar use only. |
| `name` | string | **Yes** | The name of this account. Example: `Test Account`. |
| `effectiveDate` | string | No | The earliest date on which this account may be used. Example: `2026-07-02T00:00:00+00:00`. |
| `endDate` | string | No | If this account has been closed, this is the last date the account was open. |
| `accountStatusId` | string | No | The current status of this account. Values: `Inactive`, `Active`, `Test`, `New`. Example: `Inactive`. |
| `accountTypeId` | string | No | The type of this account. Values: `Regular`, `Firm`, `FirmClient`. Example: `Regular`. |
| `createdDate` | string | No | The date when this record was created. |
| `createdUserId` | integer | No | The User ID of the user who created this record. |
| `modifiedDate` | string | No | The date/time when this record was last modified. |
| `modifiedUserId` | integer | No | The user ID of the user who last modified this record. |
| `subscriptions` | SubscriptionModel[] | No | Optional: A list of subscriptions granted to this account.  To fetch this list, add the query string "?$include=Subscriptions" to your URL. |
| `users` | UserModel[] | No | Optional: A list of all the users belonging to this account.  To fetch this list, add the query string "?$include=Users" to your URL. |
| `isSamlEnabled` | boolean | No | Is Saml based authentication used by this account for user to login via AI. Example: `false`. |
| `isDeleted` | boolean | No | A boolean flag to identify if the account is deleted |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `AccountModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `AccountModel`

An AvaTax account.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | **Yes** | The unique ID number assigned to this account. Example: `12345`. |
| `crmid` | string | No | For system registrar use only. |
| `name` | string | **Yes** | The name of this account. Example: `Test Account`. |
| `effectiveDate` | string | No | The earliest date on which this account may be used. Example: `2026-07-02T00:00:00+00:00`. |
| `endDate` | string | No | If this account has been closed, this is the last date the account was open. |
| `accountStatusId` | string | No | The current status of this account. Values: `Inactive`, `Active`, `Test`, `New`. Example: `Inactive`. |
| `accountTypeId` | string | No | The type of this account. Values: `Regular`, `Firm`, `FirmClient`. Example: `Regular`. |
| `createdDate` | string | No | The date when this record was created. |
| `createdUserId` | integer | No | The User ID of the user who created this record. |
| `modifiedDate` | string | No | The date/time when this record was last modified. |
| `modifiedUserId` | integer | No | The user ID of the user who last modified this record. |
| `subscriptions` | SubscriptionModel[] | No | Optional: A list of subscriptions granted to this account.  To fetch this list, add the query string "?$include=Subscriptions" to your URL. |
| `users` | UserModel[] | No | Optional: A list of all the users belonging to this account.  To fetch this list, add the query string "?$include=Users" to your URL. |
| `isSamlEnabled` | boolean | No | Is Saml based authentication used by this account for user to login via AI. Example: `false`. |
| `isDeleted` | boolean | No | A boolean flag to identify if the account is deleted |

## Example Request

```bash
curl -X PUT "https://sandbox-rest.avatax.com/api/v2/accounts/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "id": 12345,
  "name": "Test Account",
  "effectiveDate": "2026-07-02T00:00:00+00:00",
  "accountStatusId": "Test",
  "accountTypeId": "Regular",
  "isSamlEnabled": false,
  "isDeleted": false
}'
```